QuickHashIntStringHash::loadFromString
QuickHashIntStringHash::saveToString
QuickHashIntStringHash
PHP Manual

# QuickHashIntStringHash::saveToFile

(PECL quickhash >= Unknown)

QuickHashIntStringHash::saveToFile — This method stores an in-memory hash to disk

### Description

public void QuickHashIntStringHash::saveToFile ( string `$filename` )

This method stores an existing hash to a file on disk, in the same format that loadFromFile() can read.

### Parameters

`filename`

  The filename of the file to store the hash in.

### Return Values

No value is returned.

### Examples

Example #1 QuickHashIntStringHash::saveToFile() example

`<?php
$hash = new QuickHashIntStringHash( 1024 );
var_dump( $hash->exists( 4 ) );
var_dump( $hash->add( 4, "fourty three" ) );
var_dump( $hash->exists( 4 ) );
var_dump( $hash->add( 4, "fifty two" ) );
$hash->saveToFile( '/tmp/test.string.hash' );
?>`

QuickHashIntStringHash::loadFromString
QuickHashIntStringHash::saveToString
QuickHashIntStringHash
PHP Manual